use ExtUtils::MakeMaker;

my $module = 'lib/App/Env/SAOTrace.pm';

my %Arg = ( SAOTRACE_ROOT => $ENV{SAOTRACE_ROOT},
            SAOTRACE_DB => $ENV{SAOTRACE_DB},
          );

my @NARGV;
while( $_ = shift @ARGV )
{
  if ( /^([\S]+)=(.+)/ && exists $Arg{$1} )
  {
    $Arg{$1} = $2;
  }
  else
  {
    push @NARGV, $_;
  }
}
@ARGV = @NARGV;


for my $dir ( [ SAOTRACE_ROOT => 'root' ],
              [ SAOTRACE_DB   => 'database' ]
            )
{
    my ( $var, $desc ) = @$dir;

    unless ( defined $Arg{$var} )
    {
        $Arg{$var} = 
          prompt( "Please enter the absolute path of the SAOTrace $desc directory:" );
    }

    die( "Nonexistant directory:  ", $Arg{$var} )
      unless -e $Arg{$var};
}

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'App::Env::SAOTrace',
    VERSION_FROM      => $module,
    PREREQ_PM         => {
			  Test::More => 0,
			  Test::Exception => 0,
			  Env::Path => 0,
                          App::Env => 0,
                          Params::Validate => 0,
                         },
    PM_FILTER	      => join( ' ', 'sed ',
                               "-e \'s:%SAOTRACE_ROOT%:$Arg{SAOTRACE_ROOT}:g\'",
                               "-e \'s:%SAOTRACE_DB%:$Arg{SAOTRACE_DB}:g\'" ),

     ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/App/Env/SAOTrace.pm', # retrieve abstract from module
       AUTHOR         => 'Diab Jerius <djerius@cpan.org>') : ()),
);
